package com.hammurapi.common;

import java.io.InputStream;
import java.net.URL;
import java.util.Locale;
import java.util.Map;

public interface ResourceLoader {

	InputStream getResourceStream(String scriptName, Locale locale, String extension);
	
	InputStream getResourceStream(String scriptName, String extension);

	URL getResource(String scriptName, Locale locale, String extension);
	
	URL getResource(String scriptName, String extension);

	Map<String, Object> getProperties(String scriptName, Locale locale, String string);
	
	Map<String, Object> getProperties(String scriptName, String string);

}
